Bug 1157864 - KeyError: 'fedora-WARNING: Ignoring duplicate config node: global (seeking global/abort_on_internal_errors)'
Summary: KeyError: 'fedora-WARNING: Ignoring duplicate config node: global (seeking gl...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3a544be52cec5018d1ae3f7c235...
Keywords:
Depends On:
Blocks: F21BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2014-10-27 22:40 UTC by Adam Williamson
Modified: 2014-11-16 14:42 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-31 02:42:43 UTC


Attachments (Terms of Use)
File: anaconda-tb (171.20 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: anaconda.log (4.92 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: environ (459 bytes, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: lsblk_output (3.48 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: nmcli_dev_list (1.69 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: os_info (377 bytes, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: program.log (32.70 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: storage.log (53.00 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: syslog (63.71 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details
File: ifcfg.log (1.74 KB, text/plain)
2014-10-27 22:40 UTC, Adam Williamson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1155014 None None None Never

Internal Trackers: 1155014

Description Adam Williamson 2014-10-27 22:40:32 UTC
Description of problem:
Installed Fedora 21 Beta RC1 (Workstation x86-64 live) to a VM using LVM thin provisioning, then booted Beta RC1 Server x86-64 DVD on the same system. Crashes before showing the hub.

Version-Release number of selected component:
anaconda-21.48.12-1

The following was filed automatically by anaconda:
anaconda 21.48.12-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1367, in addRequiredLV
    addLV(lv_info[name])
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1446, in addLV
    addRequiredLV(pool_device_name, "failed to look up thin pool")
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1496, in handleVgLvs
    addLV(lv)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1553, in handleUdevLVMPVFormat
    self.handleVgLvs(vg_device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1884, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1233, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2170, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 2105, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 479, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 183, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
KeyError: 'fedora-WARNING: Ignoring duplicate config node: global (seeking global/abort_on_internal_errors)'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-21_B-x86_64 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.1-302.fc21.x86_64
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Adam Williamson 2014-10-27 22:40:34 UTC
Created attachment 951185 [details]
File: anaconda-tb

Comment 2 Adam Williamson 2014-10-27 22:40:35 UTC
Created attachment 951186 [details]
File: anaconda.log

Comment 3 Adam Williamson 2014-10-27 22:40:36 UTC
Created attachment 951187 [details]
File: environ

Comment 4 Adam Williamson 2014-10-27 22:40:37 UTC
Created attachment 951188 [details]
File: lsblk_output

Comment 5 Adam Williamson 2014-10-27 22:40:38 UTC
Created attachment 951189 [details]
File: nmcli_dev_list

Comment 6 Adam Williamson 2014-10-27 22:40:39 UTC
Created attachment 951190 [details]
File: os_info

Comment 7 Adam Williamson 2014-10-27 22:40:40 UTC
Created attachment 951191 [details]
File: program.log

Comment 8 Adam Williamson 2014-10-27 22:40:41 UTC
Created attachment 951192 [details]
File: storage.log

Comment 9 Adam Williamson 2014-10-27 22:40:43 UTC
Created attachment 951193 [details]
File: syslog

Comment 10 Adam Williamson 2014-10-27 22:40:44 UTC
Created attachment 951194 [details]
File: ifcfg.log

Comment 11 Adam Williamson 2014-10-27 23:00:53 UTC
Confirmed this also occurs when booting the installer on a system to which I've done an F20 LVM thinp install. Proposing as a Beta blocker per criteria "When using the guided partitioning flow, the installer must be able to: ... Cleanly install to a disk with a valid ms-dos or gpt disk label and partition table which contains existing data and sufficient unpartitioned space for a Fedora installation" - https://fedoraproject.org/wiki/Fedora_21_Beta_Release_Criteria#Guided_partitioning - and "When using the custom partitioning flow, the installer must be able to: ... Correctly interpret, and modify as described below, any disk with a valid ms-dos or gpt disk label and partition table containing ext4 partitions, LVM and/or btrfs volumes, and/or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions" - https://fedoraproject.org/wiki/Fedora_21_Beta_Release_Criteria#Custom_partitioning , as it violates both of those.

Comment 12 Adam Williamson 2014-10-27 23:50:18 UTC
bcl sent http://paste.fedoraproject.org/145664/41445258/ as a fix for this, I tested and it looks good to me.

Comment 13 satellitgo 2014-10-27 23:58:25 UTC
I cannot vote Have not used this configuration

Comment 14 Kalev Lember 2014-10-28 00:04:10 UTC
+1 blocker

Comment 15 Mike Ruckman 2014-10-28 00:05:58 UTC
+1

Comment 16 Dan Mossor [danofsatx] 2014-10-28 00:09:26 UTC
Meets criteria. +1 blocker.

Comment 17 Kevin Fenzi 2014-10-28 00:13:46 UTC
+1 blocker

Comment 18 Dennis Gilmore 2014-10-28 02:18:45 UTC
+1 blocker

Comment 19 Adam Williamson 2014-10-28 02:58:37 UTC
That's enough votes, marking AcceptedBlocker.

Comment 20 Fedora Update System 2014-10-28 18:17:47 UTC
anaconda-21.48.13-1.fc21, python-blivet-0.61.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.8-1.fc21,anaconda-21.48.13-1.fc21

Comment 21 Kamil Páral 2014-10-30 08:57:07 UTC
I can reproduce this problem with RC1, but everything is OK with RC4.

Comment 22 Fedora Update System 2014-10-31 02:42:43 UTC
anaconda-21.48.13-1.fc21, python-blivet-0.61.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-11-06 01:41:22 UTC
lorax-21.27-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lorax-21.27-1.fc21

Comment 24 Fedora Update System 2014-11-16 14:42:13 UTC
lorax-21.28-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.